Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# Texture3D

class Texture3D

  Returned by `Context.texture3d()`

  A Texture is an OpenGL object that contains one or more images that all have the same image format.

  A texture can be used in two ways. It can be the source of a texture access from a Shader, or it can be used as a render target.

  A Texture3D object cannot be instantiated directly, it requires a context. Use `Context.texture3d()` to create one.

## Methods

Texture3D.read()

Texture3D.read_into()

Texture3D.write()

Texture3D.build_mipmaps()

Texture3D.bind_to_image()

Texture3D.use()

Texture3D.release()

Texture3D.get_handle()

## Attributes

Texture3D.repeat_x

Texture3D.repeat_y

Texture3D.repeat_z

Texture3D.filter

Texture3D.swizzle

Texture3D.width

Texture3D.height

Texture3D.depth

Texture3D.size

Texture3D.dtype

Texture3D.components

Texture3D.ctx: Context

  The context this object belongs to

Texture3D.glo: int

  The internal OpenGL object. This values is provided for interoperability and debug purposes only.

Texture3D.extra: Any

  User defined data.